#
# Cookbook Name:: sqlserver
# Recipe:: default
#
# Copyright (C) 2016 YOUR_NAME
#
# All rights reserved - Do Not Redistribute
#
include_recipe 'ms_dotnet35'
include_recipe 'ec2helper'

sentinel_file = "C:/Program Files/Microsoft SQL Server/MSSQL12.#{node[:sqlserver][:INSTANCENAME]}/MSSQL/Binn/sqlservr.exe"

remote_file "#{node[:sqlserver][:remote_file][:path]}/#{node[:sqlserver][:iso_name]}" do
	source "#{node[:sqlserver][:remote_file][:source]}"
	not_if { File.exist?("#{node[:sqlserver][:remote_file][:path]}/#{node[:sqlserver][:iso_name]}") }
end

ec2helper_iso 'MountsqlserverIso' do
	volume_name "#{node[:sqlserver][:ec2helper_iso][:volume_name]}"
	iso_filename "#{node[:sqlserver][:iso_name]}"
	iso_path "#{node[:sqlserver][:remote_file][:path]}"
end

execute 'Install SQL' do
	timeout 7200
	command lazy {"#{node[:ec2helper][:iso][:mount][:drive_letter]}:/setup.exe /q /SQLSYSADMINACCOUNTS=#{node[:sqlserver][:SQLSYSADMINACCOUNTS]} /ACTION=Install /FEATURES=#{node[:sqlserver][:FEATURES]} /INSTANCENAME=#{node[:sqlserver][:INSTANCENAME]} /IAcceptSQLServerLicenseTerms=#{node[:sqlserver][:IAcceptSQLServerLicenseTerms]} /SQLSVCACCOUNT=\"#{node[:sqlserver][:SQLSVCACCOUNT]}\" /AGTSVCACCOUNT=\"#{node[:sqlserver][:AGTSVCACCOUNT]}\" /INDICATEPROGRESS /UpdateEnabled=False /SECURITYMODE=#{node[:sqlserver][:SECURITYMODE]} /SAPWD=#{node[:sqlserver][:SAPWD]} /TCPENABLED=#{node[:sqlserver][:TCPENABLED]} /ADDCURRENTUSERASSQLADMIN=#{node[:sqlserver][:ADDCURRENTUSERASSQLADMIN]}"}
	not_if { File.exist?("#{sentinel_file}") }
	notifies :request_reboot, "reboot[Install_SQL_Reboot]"
end

reboot 'Install_SQL_Reboot' do
  action :nothing
  reason 'Need to reboot when the run completes successfully.'
end